org.eclipse.net4j.util.properties

## Interface IPropertyProvider<RECEIVER>

- All Known Subinterfaces:
    IProperties<RECEIVER>
  All Known Implementing Classes:
    DefaultPropertyTester, Properties

      public interface IPropertyProvider<RECEIVER>

  Provides a list of `property descriptors`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Property<RECEIVER>>` | `getProperties()`

- - ### Method Detail

    - #### getProperties

          java.util.List<Property<RECEIVER>> getProperties()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html